"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseAttributes(s) {
    return s
        .split('"')
        .reduce((prev, val, index, arr) => {
        if (index % 2 === 1) {
            const key = arr[index - 1];
            prev.push([
                // key comes in the format '<node k=' or ' k='
                key.slice(key.lastIndexOf(' ') + 1, key.length - 1),
                val,
            ]);
        }
        return prev;
    }, [])
        .reduce((prev, cur) => {
        prev[cur[0]] = cur[1];
        return prev;
    }, {});
}
exports.parseAttributes = parseAttributes;
function prependEntityChar(id, type, flag) {
    if (!flag) {
        return id;
    }
    return type.charAt(0) + id;
}
exports.prependEntityChar = prependEntityChar;
function parseVisibility(attr) {
    attr.visible = !attr.visible || attr.visible !== 'false' ? true : false;
    return attr;
}
exports.parseVisibility = parseVisibility;
const htmlUnescapes = {
    '&#39;': "'",
    '&amp;': '&',
    '&gt;': '>',
    '&lt;': '<',
    '&quot;': '"',
};
const reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g;
const reHasEscapedHtml = RegExp(reEscapedHtml.source);
function unescape(str) {
    return str && reHasEscapedHtml.test(str)
        ? str.replace(reEscapedHtml, entity => htmlUnescapes[entity])
        : str;
}
exports.unescape = unescape;
//# sourceMappingURL=helpers.js.map