"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const process_1 = require("./process");
exports.default = parser;
/**
 * A an extremely fast smart parser for .osm api
 */
function parser(str, opts = {}) {
    const lastObj = {
        pointer: undefined,
    };
    opts = Object.assign({ prependEntityChar: true, useRef: false, freeze: false }, opts);
    return str
        .split('\n')
        .map(r => {
        const result = process_1.xmlLineToObj(r, lastObj, opts);
        if (result) {
            return result;
        }
    })
        .filter(r => r)
        .map(r => process_1.objToStandard(r, opts));
}
exports.parser = parser;
//# sourceMappingURL=parser.js.map