"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isEqual_1 = require("lodash-es/isEqual");
const iDParser_1 = require("../iDParser");
const parser_1 = require("../parser");
const fixtures_1 = require("./fixtures");
describe('smart parser', () => {
    test('case 1', () => {
        const xml = new DOMParser().parseFromString(fixtures_1.XML2, 'text/xml');
        const en = parser_1.parser(fixtures_1.XML2);
        const entities = iDParser_1.iDParser(xml).sort((a, b) => a.id.localeCompare(b.id));
        expect(en).toEqual(entities);
    });
    test('case 2', () => {
        const xml = new DOMParser().parseFromString(fixtures_1.XML1, 'text/xml');
        const entities = iDParser_1.iDParser(xml).sort((a, b) => a.id.localeCompare(b.id));
        const en = parser_1.parser(fixtures_1.XML1).sort((a, b) => a.id.localeCompare(b.id));
        expect(en).toEqual(entities);
    });
    test('case 3', () => {
        const rawXML = fixtures_1.XML5.split('\n')
            .slice(1)
            .join('\n');
        const xml = new DOMParser().parseFromString(rawXML, 'text/xml');
        const entities = iDParser_1.iDParser(xml);
        const en = parser_1.parser(rawXML);
        expect(en).toEqual(entities);
    });
    test('case 4', () => {
        const rawXML = fixtures_1.XML7.split('\n')
            .slice(1)
            .join('\n');
        const xml = new DOMParser().parseFromString(rawXML, 'text/xml');
        const entities = iDParser_1.iDParser(xml);
        const en = parser_1.parser(rawXML);
        expect(en).toEqual(entities);
    });
    test('case 5', () => {
        const rawXML = fixtures_1.XML8.split('\n')
            .slice(1)
            .join('\n');
        const xml = new DOMParser().parseFromString(rawXML, 'text/xml');
        const entities = iDParser_1.iDParser(xml);
        const en = parser_1.parser(rawXML);
        expect(isEqual_1.default(en, entities)).toBe(true);
    });
    test('big case 1', () => {
        const rawXML = fixtures_1.XML9.split('\n')
            .slice(1)
            .join('\n');
        const xml = new DOMParser().parseFromString(rawXML, 'text/xml');
        const entities = iDParser_1.iDParser(xml);
        const en = parser_1.parser(rawXML);
        expect(isEqual_1.default(en, entities)).toBe(true);
    });
    test('big case 2', () => {
        const rawXML = fixtures_1.BIG_XML1.split('\n')
            .slice(1)
            .join('\n');
        const xml = new DOMParser().parseFromString(rawXML, 'text/xml');
        const entities = iDParser_1.iDParser(xml);
        const en = parser_1.parser(rawXML);
        expect(isEqual_1.default(en, entities)).toBe(true);
    });
    test('big case 3', () => {
        const rawXML = fixtures_1.BIG_XML3.split('\n')
            .slice(1)
            .join('\n');
        const xml = new DOMParser().parseFromString(rawXML, 'text/xml');
        const entities = iDParser_1.iDParser(xml);
        const en = parser_1.parser(rawXML);
        expect(isEqual_1.default(en, entities)).toBe(true);
    });
});
//# sourceMappingURL=index.test.js.map