"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const isEqual_1 = require("lodash-es/isEqual");
const iDParser_1 = require("../iDParser");
const nodejsParser_1 = require("../nodejsParser");
const parser_1 = require("../parser");
const xmls = require("./fixtures");
function writeFile(path, data) {
    fs.writeFileSync(path, data, 'utf-8');
}
function deleteFile(path) {
    fs.unlinkSync(path);
}
describe('node and regular parity', () => {
    Object.keys(xmls)
        .map(k => [k, xmls[k]])
        .forEach(([k, xml]) => {
        it(`should work for ${k}`, () => {
            const path = `./xml.osm`;
            writeFile(path, xml);
            const nodeOutput = Array.from(nodejsParser_1.nodejsParser(path));
            const regularOutput = parser_1.parser(xml);
            const parsedXML = new DOMParser().parseFromString(xml
                .split('\n')
                .slice(1)
                .join('\n'), 'text/xml');
            const legacyOutput = iDParser_1.iDParser(parsedXML);
            deleteFile(path);
            expect(isEqual_1.default(nodeOutput, regularOutput)).toBe(true);
            expect(isEqual_1.default(regularOutput, legacyOutput)).toBe(true);
            expect(nodeOutput.length).toMatchSnapshot();
        });
    });
});
//# sourceMappingURL=nodejs.test.js.map